## com.saxonica.stream
Class SequenceExchanger.Producer

    java.lang.Object
      com.saxonica.stream.SequenceExchanger.Producer

All Implemented Interfaces:
  Runnable

Direct Known Subclasses:
  SequenceExchanger.EvaluationThread

Enclosing class:
  SequenceExchanger

    public abstract static class SequenceExchanger.Producer

extends Object
implements Runnable

The class Producer represents the thread that pushes items onto the Conduit. The only special requirement for this thread is that it must be clonable using the getAnother() method.

Constructor Summary
`SequenceExchanger.Producer()` Default constructor

Method Summary
`abstract SequenceExchanger.Producer` `getAnother(Conduit conduit)` Get a copy of this Producer, initialized to produce the same sequence of items as the original, but starting from the beginning (not from the current position).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### SequenceExchanger.Producer

    public SequenceExchanger.Producer()

  Default constructor

Method Detail

### getAnother

    public abstract SequenceExchanger.Producer getAnother(Conduit conduit)

  Get a copy of this Producer, initialized to produce the same sequence of items as the original, but starting from the beginning (not from the current position).

  Parameters:
    `conduit` - the conduit to which the items are written
  Returns:
    the new copy

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.